ListSoftwareSets - Amazon WorkSpaces Thin Client

ListSoftwareSets

Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

Returns a list of software sets.

Request Syntax

GET /softwaresets?maxResults=maxResults&nextToken=nextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of results that are returned per call. You can use nextToken to obtain further pages of results.

This is only an upper limit. The actual number of results returned per call might be fewer than the specified maximum.

Valid Range: Minimum value of 1. Maximum value of 50.

nextToken

If nextToken is returned, there are more results available. The value of nextToken is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an HTTP 400 InvalidToken error.

Length Constraints: Minimum length of 0. Maximum length of 2048.

Pattern: \S*

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "softwareSets": [ { "arn": "string", "id": "string", "releasedAt": number, "supportedUntil": number, "validationStatus": "string", "version": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

If nextToken is returned, there are more results available. The value of nextToken is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an HTTP 400 InvalidToken error.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

Pattern: \S*

softwareSets

Describes software sets.

Type: Array of SoftwareSetSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The server encountered an internal error and is unable to complete the request.

retryAfterSeconds

The number of seconds to wait before retrying the next request.

HTTP Status Code: 500

ThrottlingException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The request was denied due to request throttling.

quotaCode

The code for the quota in Service Quotas.

retryAfterSeconds

The number of seconds to wait before retrying the next request.

serviceCode

The code for the service in Service Quotas.

HTTP Status Code: 429

ValidationException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The input fails to satisfy the specified constraints.

fieldList

A list of fields that didn't validate.

reason

The reason for the exception.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: